Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705698 - sys-apps/portage-2.3.84-r1 stablereq
Summary: sys-apps/portage-2.3.84-r1 stablereq
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 701268 705988
  Show dependency tree
 
Reported: 2020-01-17 22:15 UTC by Zac Medico
Modified: 2020-02-29 02:43 UTC (History)
0 users

See Also:
Package list:
=sys-apps/portage-2.3.84-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2020-01-17 22:15:57 UTC
The release has fixes tracked by bug 701268 and no known regressions.

Some notable changes include:

* Bug 384107 adjust || preference to break dependency cycles, which solves bug 382421 and bug 703440.

* Bug 690436 limit scope of dropped circular dependencies, which should solve some cases of bug 199856 such as bug 703676 (also see tracker bug 689644).

* Bug 699986 emerge --quickpkg-direct option enables use of installed packages directly as binary packages. It can be used to create minimal runtime container images or initramfs images (which need not include a package manager), or to enable a live image to act as a binary installer that uses packages installed in the live image as a source of binary packages. This option is especially useful in combination with --usepkgonly and --ignore-soname-deps=n options, allowing implicit system dependencies such as libc to be automatically accounted for.

* Bug 703348 emerge --with-test-deps: allow circular deps.
Comment 1 Sergei Trofimovich gentoo-dev 2020-01-18 11:33:24 UTC
ia64 stable
Comment 2 Thomas Deutschmann gentoo-dev Security 2020-01-18 23:16:39 UTC
x86 stable
Comment 3 Agostino Sarubbo gentoo-dev 2020-01-20 11:51:46 UTC
amd64 stable
Comment 4 Sergei Trofimovich gentoo-dev 2020-01-20 22:42:03 UTC
hppa stable
Comment 5 Georgy Yakovlev gentoo-dev 2020-01-21 03:41:59 UTC
ppc64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-01-21 08:47:09 UTC
ppc stable
Comment 7 Agostino Sarubbo gentoo-dev 2020-01-21 08:52:39 UTC
sparc stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-01-27 11:51:47 UTC
arm stable
Comment 9 Agostino Sarubbo gentoo-dev 2020-02-12 16:14:24 UTC
s390 stable
Comment 10 Zac Medico gentoo-dev 2020-02-29 02:43:43 UTC
Next stablereq is bug 711074.